: Class FailureMessage

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## roast
Class FailureMessage

    java.lang.Object
      |
      +--roast.FailureMessage

public class FailureMessage
extends java.lang.Object
implements LogMessage

A failure log message. Contains a message string, a message level, and the test script line number of the failure.

See Also:
  Serialized Form

Constructor Summary
`FailureMessage(java.lang.String message, int lineNumber)` Constructs a FailureMessage object with the specified message and level.

Method Summary
`int` | `getLevel()` Returns the failure message level.
`int` | `getLineNumber()` Returns the test script line number of the failure.
`java.lang.String` | `getMessage()` Returns the failure message text as a String.
`java.lang.String` | `toString()` Returns a string representation of the failure message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FailureMessage

    public FailureMessage(java.lang.String message,
                          int lineNumber)

  Constructs a FailureMessage object with the specified message and level.
  Parameters:
    `message` - the failure message text
    `level` - the failure message level

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the failure message. The string includes the failure message text, message level, and line number formatted in a single line.
  Specified by:
    toString in interface LogMessage
  Returns:
    a string representation of the information in the failure message object
  Overrides:
    toString in class java.lang.Object

### getMessage

    public java.lang.String getMessage()

  Returns the failure message text as a String.
  Specified by:
    getMessage in interface LogMessage
  Returns:
    the failure message text

### getLevel

    public int getLevel()

  Returns the failure message level.
  Specified by:
    getLevel in interface LogMessage
  Returns:
    the failure message level

### getLineNumber

    public int getLineNumber()

  Returns the test script line number of the failure.
  Returns:
    the test script line number of the failure

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD